package com.muyu.auth;

import com.alibaba.druid.spring.boot3.autoconfigure.DruidDataSourceAutoConfigure;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 认证授权中心
 *
 * @author muyu
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication(
        exclude = {
                DataSourceAutoConfiguration.class,
                DruidDataSourceAutoConfigure.class,
                DynamicDataSourceAutoConfiguration.class
        }
)
public class CloudAuthApplication {
    public static void main (String[] args) {
        SpringApplication.run(CloudAuthApplication.class, args);
    }
}
