package com.muyu.breakdown.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-17-15:10
 * @ Version：1.0
 * @ Description：故障实体类
 */
@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_car_fault")
public class BreakDown extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */

    @TableId(value = "id", type = IdType.AUTO)
    @Excel(name = "主键")
    private Long id;
    /**
     *  故障码
     */
    @Excel(name = "故障码")
    private String faultCode;
    /**
     * 故障类型
     */
    @Excel(name = "故障类型")
    private String faultType;
    /**
     * 故障标签
     */
    @Excel(name = "故障标签")
    private String faultLabel;
    /**
     * 故障位
     */
    @Excel(name = "故障位")
    private String faultBit;
    /**
     * 故障值
     */
    @Excel(name = "故障值")
    private String faultValue;
    /**
     * 故障级别
     */
    @Excel(name = "故障级别")
    private String faultWarn;
    /**
     * 报警状态（Y.是，N.否）
     */
    @Excel(name = "报警状态")
    private String faultStatus;
}
