package com.muyu.breakdown.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.breakdown.domain.FaultLog;

/**
 * 故障日志Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface IFaultLogService extends IService<FaultLog> {
    /**
     * 精确查询故障日志
     *
     * @param id 故障日志主键
     * @return 故障日志
     */
    public FaultLog selectFaultLogById(Long id);

    /**
     * 查询故障日志列表
     *
     * @param faultLog 故障日志
     * @return 故障日志集合
     */
    public List<FaultLog> selectFaultLogList(FaultLog faultLog);

    /**
     * 判断 故障日志 id是否唯一
     * @param faultLog 故障日志
     * @return 结果
     */
    Boolean checkIdUnique(FaultLog faultLog);

}
