package com.muyu.carrail.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.muyu.carrail.mapper.SysCorpuscleMapper;
import com.muyu.carrail.domain.SysCorpuscle;
import com.muyu.carrail.service.ISysCorpuscleService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.util.Assert;

/**
 * 电子围栏Service业务层处理
 *
 * @author muyu
 * @date 2024-09-17
 */
@Service
public class SysCorpuscleServiceImpl
        extends ServiceImpl<SysCorpuscleMapper, SysCorpuscle>
        implements ISysCorpuscleService {

    /**
     * 精确查询电子围栏
     *
     * @param id 电子围栏主键
     * @return 电子围栏
     */
    @Autowired
    SysCorpuscleMapper sysCorpuscleMapper;

    @Override
    public List<SysCorpuscle> selectSysCorpuscleList(SysCorpuscle sysCorpuscle) {
        return sysCorpuscleMapper.selectCarRail(sysCorpuscle);
    }

    @Override
    public boolean checkIdUnique(SysCorpuscle sysCorpuscle) {
        return sysCorpuscleMapper.addCarRail(sysCorpuscle);
    }
}
