package com.muyu.system.saas;

import com.alibaba.druid.spring.boot3.autoconfigure.DruidDataSourceAutoConfigure;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * @Author: 胡杨
 * @Name: CloudSystemSaas
 * @Description: SaaS系统驱动器
 * @CreatedDate: 2024/9/22 上午10:05
 * @FilePath: com.muyu.system.saas
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication(
        exclude = {
                DataSourceAutoConfiguration.class,
                DruidDataSourceAutoConfigure.class,
                DynamicDataSourceAutoConfiguration.class
        }
)
public class CloudSystemSaasApplication {
    public static void main(String[] args) {
        SpringApplication.run(CloudSystemSaasApplication.class, args);
        System.out.println("CloudSystemSaas 模块启动成功!");
    }
}
