package com.muyu.warning.service;

import java.util.List;
import com.muyu.warning.domain.WarnLogs;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 预警日志Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface IWarnLogsService extends IService<WarnLogs> {
    /**
     * 精确查询预警日志
     *
     * @param id 预警日志主键
     * @return 预警日志
     */
    public WarnLogs selectWarnLogsById(Long id);

    /**
     * 查询预警日志列表
     *
     * @param warnLogs 预警日志
     * @return 预警日志集合
     */
    public List<WarnLogs> selectWarnLogsList(WarnLogs warnLogs);

    /**
     * 判断 预警日志 id是否唯一
     * @param warnLogs 预警日志
     * @return 结果
     */
    Boolean checkIdUnique(WarnLogs warnLogs);

}
