package com.muyu.warning.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.muyu.warning.domain.WarnRuleDTO;

import java.util.List;

/**
 * 预警规则Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface IWarnRuleService extends IService<WarnRuleDTO> {
    /**
     * 精确查询预警规则
     *
     * @param id 预警规则主键
     * @return 预警规则
     */
    public WarnRuleDTO selectWarnRuleById(Long id);

    /**
     * 查询预警规则列表
     *
     * @param warnRuleDTO 预警规则
     * @return 预警规则集合
     */
    public List<WarnRuleDTO> selectWarnRuleList(WarnRuleDTO warnRuleDTO);

    /**
     * 判断 预警规则 id是否唯一
     * @param warnRuleDTO 预警规则
     * @return 结果
     */
    Boolean checkIdUnique(WarnRuleDTO warnRuleDTO);

}
