package com.muyu.warning.service;

import java.util.List;
import com.muyu.warning.domain.WarnStrategy;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 预警策略Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface IWarnStrategyService extends IService<WarnStrategy> {
    /**
     * 精确查询预警策略
     *
     * @param id 预警策略主键
     * @return 预警策略
     */
    public WarnStrategy selectWarnStrategyById(Long id);

    /**
     * 查询预警策略列表
     *
     * @param warnStrategy 预警策略
     * @return 预警策略集合
     */
    public List<WarnStrategy> selectWarnStrategyList(WarnStrategy warnStrategy);

    /**
     * 判断 预警策略 id是否唯一
     * @param warnStrategy 预警策略
     * @return 结果
     */
    Boolean checkIdUnique(WarnStrategy warnStrategy);

}
